View Issue Details

IDProjectCategoryView StatusLast Update
0022316mantisbtcode cleanuppublic2017-02-26 21:17
ReporterdregadAssigned Todregad 
PrioritynormalSeverityminorReproducibilityN/A
Status closedResolutionfixed 
Product Version2.1.0 
Target Version2.2.0Fixed in Version2.2.0 
Summary0022316: Duplicate code to display the filter view type toggle menu item
Description

There is some duplicated code (in filter_api.php, manage_filter_edit_page.php and view_filters_page.php) to handle display of filter view type toggle.

TagsNo tags attached.

Relationships

related to 0021618 closedcproensa Duplicate code to determine the default view type 

Activities

There are no notes attached to this issue.

Related Changesets

MantisBT: master 4edd0b37

2017-02-04 11:38:50

dregad

Details Diff
Refactor printing of filter view type toggle

Define a new API function filter_print_view_type_toggle() to avoid
duplicating code to handle display of the menu item to switch between
simple and advanced filter modes

Fixes 0022316
mod - core/filter_api.php Diff File
mod - manage_filter_edit_page.php Diff File
mod - view_filters_page.php Diff File

Issue History

Date Modified Username Field Change
2017-02-04 11:52 dregad New Issue
2017-02-04 11:52 dregad Status new => assigned
2017-02-04 11:52 dregad Assigned To => dregad
2017-02-04 11:52 dregad Relationship added related to 0021618
2017-02-05 04:51 dregad Changeset attached => MantisBT master 4edd0b37
2017-02-05 04:51 dregad Status assigned => resolved
2017-02-05 04:51 dregad Resolution open => fixed
2017-02-05 04:51 dregad Fixed in Version => 2.2.0
2017-02-26 21:17 vboctor Status resolved => closed